Bug 232300 - devel/icu: update to 63.1
Summary: devel/icu: update to 63.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL:
Keywords:
Depends on: 229359
Blocks: 236325
  Show dependency treegraph
 
Reported: 2018-10-15 21:52 UTC by Jan Beich
Modified: 2019-03-06 16:29 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (5.72 KB, patch)
2018-10-15 21:52 UTC, Jan Beich
no flags Details | Diff
v1 (5.92 KB, patch)
2018-10-16 12:56 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-10-15 21:52:50 UTC
Created attachment 198189 [details]
v1

+++ This bug was initially created as a clone of Bug #223373 +++

Firefox 65 (scheduled on 2018-12-11) may require ICU 63.1. In order to keep using system ICU while also benefiting from other changes let's update.

https://ssl.icu-project.org/repos/icu/tags/release-63-1/icu4c/APIChangeReport.html
https://abi-laboratory.pro/tracker/objects_report/icu4c/62_1/63_1/report.html

### /usr/local/etc/poudriere.d/PR232300-make.conf ###
OPTIONS_SET += ICU UNICODE
databases_sqlite3_UNSET += ICU
Comment 1 Jan Beich freebsd_committer 2018-10-15 21:55:20 UTC
Can you test consumers?
Comment 2 Mathieu Arnold freebsd_committer 2018-10-16 06:20:19 UTC
Please, use the official released tarballs, as specified on https://github.com/unicode-org/icu/releases, not the git-archive(1) extracts.
Comment 3 Jan Beich freebsd_committer 2018-10-16 12:56:35 UTC
Created attachment 198206 [details]
v1

Release assets didn't have *.tgz file for 63.1 at the time this bug was created. Rebased after r482223 to address comment 2.
Comment 4 commit-hook freebsd_committer 2018-10-19 19:26:55 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 19 19:26:45 UTC 2018
New revision: 482450
URL: https://svnweb.freebsd.org/changeset/ports/482450

Log:
  databases/firebird25-server: unbreak with ICU 63

  In file included from ../src/jrd/unicode_util.cpp:41:
  In file included from /usr/local/include/unicode/utrans.h:20:
  /usr/local/include/unicode/localpointer.h:221:40: error: expected ';' at end of declaration list
      LocalPointer(LocalPointer<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                         ^
  /usr/local/include/unicode/localpointer.h:366:36: error: expected ';' at end of declaration list
      LocalArray(LocalArray<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                     ^
  In file included from ../src/jrd/unicode_util.cpp:41:
  In file included from /usr/local/include/unicode/utrans.h:23:
  /usr/local/include/unicode/uenum.h:68:1: error: expected ';' at end of declaration list
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUEnumerationPointer, UEnumeration, uenum_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  In file included from ../src/jrd/unicode_util.cpp:41:
  In file included from /usr/local/include/unicode/utrans.h:24:
  /usr/local/include/unicode/uset.h:330:1: error: expected ';' at end of declaration list
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUSetPointer, USet, uset_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  In file included from ../src/jrd/unicode_util.cpp:41:
  /usr/local/include/unicode/utrans.h:255:1: error: expected ';' at end of declaration list
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUTransliteratorPointer, UTransliterator, utrans_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  In file included from ../src/jrd/unicode_util.cpp:43:
  /usr/local/include/unicode/ucnv.h:585:1: error: expected ';' at end of declaration list
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUConverterPointer, UConverter, ucnv_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  In file included from ../src/jrd/unicode_util.cpp:44:
  In file included from /usr/local/include/unicode/ucol.h:17:
  In file included from /usr/local/include/unicode/unorm.h:25:
  /usr/local/include/unicode/unorm2.h:261:1: error: expected ';' at end of declaration list
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUNormalizer2Pointer, UNormalizer2, unorm2_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  In file included from ../src/jrd/unicode_util.cpp:44:
  /usr/local/include/unicode/ucol.h:538:1: error: expected ';' at end of declaration list
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUCollatorPointer, UCollator, ucol_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^

  Regressed by:	https://github.com/unicode-org/icu/commit/35ce5296c1d3
  PR:		232300
  Reported by:	antoine (via exp-run)

Changes:
  head/databases/firebird25-server/Makefile
Comment 5 commit-hook freebsd_committer 2018-10-19 19:27:57 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 19 19:26:58 UTC 2018
New revision: 482451
URL: https://svnweb.freebsd.org/changeset/ports/482451

Log:
  math/libqalculate: unbreak with ICU 63

  In file included from Calculator.cc:45:
  In file included from /usr/local/include/unicode/ucasemap.h:25:
  /usr/local/include/unicode/localpointer.h:221:40: error: expected ';' at end of declaration list
      LocalPointer(LocalPointer<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                         ^
  /usr/local/include/unicode/localpointer.h:366:36: error: expected ';' at end of declaration list
      LocalArray(LocalArray<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                     ^
  In file included from Calculator.cc:45:
  /usr/local/include/unicode/ucasemap.h:96:1: error: expected ';' at end of declaration list
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUCaseMapPointer, UCaseMap, ucasemap_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^

  Regressed by:	https://github.com/unicode-org/icu/commit/35ce5296c1d3
  PR:		232300
  Reported by:	antoine (via exp-run)

Changes:
  head/math/libqalculate/Makefile
Comment 6 Jan Beich freebsd_committer 2018-10-19 19:36:14 UTC
Add "dns_libpsl_UNSET += IDN2" (without quotes) to make.conf for exp-run due to OPTIONS_SINGLE in that port.
http://package22.nyi.freebsd.org/data/104amd64-default-PR232300/2018-10-18_17h11m01s/logs/errors/libpsl-0.20.2_2.log
Comment 7 commit-hook freebsd_committer 2018-10-19 19:44:11 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 19 19:44:06 UTC 2018
New revision: 482453
URL: https://svnweb.freebsd.org/changeset/ports/482453

Log:
  textproc/ibus-qt: unbreak with ICU 63 on FreeBSD < 11.2

  In file included from qtim/ibus-input-context.cpp:43:
  In file included from /usr/local/include/unicode/unorm.h:25:
  In file included from /usr/local/include/unicode/unorm2.h:34:
  /usr/local/include/unicode/localpointer.h:221:34: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
      LocalPointer(LocalPointer<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                   ^
  /usr/local/include/unicode/localpointer.h:221:40: error: expected ';' at end of declaration list
      LocalPointer(LocalPointer<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                         ^
                                         ;
  /usr/local/include/unicode/localpointer.h:366:30: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
      LocalArray(LocalArray<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                               ^
  /usr/local/include/unicode/localpointer.h:366:36: error: expected ';' at end of declaration list
      LocalArray(LocalArray<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                     ^
                                     ;
  In file included from qtim/ibus-input-context.cpp:43:
  In file included from /usr/local/include/unicode/unorm.h:25:
  In file included from /usr/local/include/unicode/unorm2.h:36:
  /usr/local/include/unicode/uset.h:330:1: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUSetPointer, USet, uset_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:53: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                      ^
  In file included from qtim/ibus-input-context.cpp:43:
  In file included from /usr/local/include/unicode/unorm.h:25:
  In file included from /usr/local/include/unicode/unorm2.h:36:
  /usr/local/include/unicode/uset.h:330:1: error: expected ';' at end of declaration list
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  In file included from qtim/ibus-input-context.cpp:43:
  In file included from /usr/local/include/unicode/unorm.h:25:
  /usr/local/include/unicode/unorm2.h:261:1: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUNormalizer2Pointer, UNormalizer2, unorm2_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:53: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                      ^
  In file included from qtim/ibus-input-context.cpp:43:
  In file included from /usr/local/include/unicode/unorm.h:25:
  /usr/local/include/unicode/unorm2.h:261:1: error: expected ';' at end of declaration list
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  qtim/ibus-input-context.cpp:540:13: warning: 'unorm_normalize' is deprecated [-Wdeprecated-declarations]
          i = unorm_normalize (combination_buffer, m_n_compose, UNORM_NFC, 0, result, IBUS_MAX_COMPOSE_LEN + 1, &state);
              ^
  /usr/local/include/unicode/unorm.h:214:1: note: 'unorm_normalize' declared here
  unorm_normalize(const UChar *source, int32_t sourceLength,
  ^

  Regressed by:	https://github.com/unicode-org/icu/commit/35ce5296c1d3
  PR:		232300
  Reported by:	antoine (via exp-run)

Changes:
  head/textproc/ibus-qt/Makefile
Comment 8 commit-hook freebsd_committer 2018-10-20 00:44:49 UTC
A commit references this bug:

Author: jbeich
Date: Sat Oct 20 00:44:19 UTC 2018
New revision: 482461
URL: https://svnweb.freebsd.org/changeset/ports/482461

Log:
  multimedia/subtitlecomposer-kde4: unbreak with ICU 63

  In file included from src/formats/formatmanager.cpp:54:
  In file included from /usr/local/include/unicode/ucsdet.h:28:
  /usr/local/include/unicode/localpointer.h:221:34: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
      LocalPointer(LocalPointer<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                   ^
  /usr/local/include/unicode/localpointer.h:221:40: error: expected ';' at end of declaration list
      LocalPointer(LocalPointer<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                         ^
                                         ;
  /usr/local/include/unicode/localpointer.h:366:30: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
      LocalArray(LocalArray<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                               ^
  /usr/local/include/unicode/localpointer.h:366:36: error: expected ';' at end of declaration list
      LocalArray(LocalArray<T> &&src) U_NOEXCEPT : LocalPointerBase<T>(src.ptr) {
                                     ^
                                     ;
  In file included from src/formats/formatmanager.cpp:54:
  In file included from /usr/local/include/unicode/ucsdet.h:29:
  /usr/local/include/unicode/uenum.h:68:1: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUEnumerationPointer, UEnumeration, uenum_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:53: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                      ^
  In file included from src/formats/formatmanager.cpp:54:
  In file included from /usr/local/include/unicode/ucsdet.h:29:
  /usr/local/include/unicode/uenum.h:68:1: error: expected ';' at end of declaration list
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^
  In file included from src/formats/formatmanager.cpp:54:
  /usr/local/include/unicode/ucsdet.h:106:1: warning: rvalue references are a C++11 extension [-Wc++11-extensions]
  U_DEFINE_LOCAL_OPEN_POINTER(LocalUCharsetDetectorPointer, UCharsetDetector, ucsdet_close);
  ^
  /usr/local/include/unicode/localpointer.h:493:53: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                      ^
  In file included from src/formats/formatmanager.cpp:54:
  /usr/local/include/unicode/ucsdet.h:106:1: error: expected ';' at end of declaration list
  /usr/local/include/unicode/localpointer.h:493:60: note: expanded from macro 'U_DEFINE_LOCAL_OPEN_POINTER'
          LocalPointerClassName(LocalPointerClassName &&src) U_NOEXCEPT \
                                                             ^
  /usr/local/include/unicode/platform.h:503:23: note: expanded from macro 'U_NOEXCEPT'
   #   define U_NOEXCEPT noexcept
                         ^

  Regressed by:	https://github.com/unicode-org/icu/commit/35ce5296c1d3
  PR:		232300
  Reported by:	antoine (via exp-run)

Changes:
  head/multimedia/subtitlecomposer-kde4/Makefile
Comment 9 Antoine Brodin freebsd_committer 2018-10-23 05:41:23 UTC
Exp-run looks fine.
Comment 10 commit-hook freebsd_committer 2018-10-23 11:36:06 UTC
A commit references this bug:

Author: jbeich
Date: Tue Oct 23 11:35:22 UTC 2018
New revision: 482830
URL: https://svnweb.freebsd.org/changeset/ports/482830

Log:
  devel/icu: update to 63.1

  Changes:	http://site.icu-project.org/download/63
  ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
  PR:		232300
  Exp-run by:	antoine

Changes:
  head/archivers/unarchiver/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/databases/clickhouse/Makefile
  head/databases/couchdb/Makefile
  head/databases/couchdb2/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/firebird25-client/Makefile
  head/databases/firebird25-server/Makefile
  head/databases/kbibtex/Makefile
  head/databases/kdb/Makefile
  head/databases/mysql80-client/Makefile
  head/databases/mysql80-server/Makefile
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql11-server/Makefile
  head/databases/sqlite3/Makefile
  head/databases/tarantool/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/osmo/Makefile
  head/devel/boost-libs/Makefile
  head/devel/dee/Makefile
  head/devel/glib20/Makefile
  head/devel/hs-text-icu/Makefile
  head/devel/icu/Makefile
  head/devel/icu/distinfo
  head/devel/icu/files/patch-r41550
  head/devel/icu/pkg-plist
  head/devel/icu-le-hb/Makefile
  head/devel/libical/Makefile
  head/devel/libzim/Makefile
  head/devel/objecthash/Makefile
  head/devel/pecl-intl/Makefile
  head/devel/php70-intl/Makefile
  head/devel/php71-intl/Makefile
  head/devel/php72-intl/Makefile
  head/devel/php73-intl/Makefile
  head/devel/py-pyicu/Makefile
  head/devel/qt4-corelib/Makefile
  head/devel/qt5-core/Makefile
  head/dns/libpsl/Makefile
  head/editors/libreoffice/Makefile
  head/editors/poedit/Makefile
  head/finance/gnucash/Makefile
  head/games/0ad/Makefile
  head/games/an/Makefile
  head/games/liblcf/Makefile
  head/games/openttd/Makefile
  head/games/widelands/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/maim/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/tesseract/Makefile
  head/irc/znc/Makefile
  head/java/openjfx8-devel/Makefile
  head/lang/gnustep-base/Makefile
  head/lang/parrot/Makefile
  head/lang/phantomjs/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/spidermonkey52/Makefile
  head/lang/swift/Makefile
  head/mail/cyrus-imapd30/Makefile
  head/mail/dovecot/Makefile
  head/mail/dovecot22/Makefile
  head/mail/evolution/Makefile
  head/mail/evolution-ews/Makefile
  head/mail/postfix/Makefile
  head/mail/postfix-current/Makefile
  head/mail/rspamd/Makefile
  head/mail/rspamd-devel/Makefile
  head/mail/sendmail/Makefile
  head/mail/thunderbird/Makefile
  head/math/R/Makefile
  head/math/libqalculate/Makefile
  head/math/py-rpy2/Makefile
  head/misc/sword/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/subtitlecomposer-kde4/Makefile
  head/net/freerdp/Makefile
  head/net/openldap24-server/Makefile
  head/net/yaz/Makefile
  head/net/zebra-server/Makefile
  head/news/tin/Makefile
  head/print/harfbuzz-icu/Makefile
  head/print/libmspub01/Makefile
  head/print/scribus-devel/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/gdisk/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/tracker/Makefile
  head/sysutils/tracker-miners/Makefile
  head/textproc/R-cran-stringi/Makefile
  head/textproc/dwdiff/Makefile
  head/textproc/ibus-qt/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/raptor2/Makefile
  head/textproc/rubygem-charlock_holmes/Makefile
  head/textproc/zorba/Makefile
  head/www/chromium/Makefile
  head/www/cppcms/Makefile
  head/www/epiphany/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/iridium/Makefile
  head/www/mod_pagespeed/Makefile
  head/www/node/Makefile
  head/www/node6/Makefile
  head/www/node8/Makefile
  head/www/palemoon/Makefile
  head/www/qt5-webkit/Makefile
  head/www/seamonkey/Makefile
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/webkit2-gtk3/Makefile
  head/x11/gnome-shell/Makefile
  head/x11/slop/Makefile
  head/x11-toolkits/gnustep-gui/Makefile
Comment 11 Jan Beich freebsd_committer 2018-10-23 11:40:23 UTC
Thanks. This was a generic update, so doesn't need to be assigned directly to me.
Comment 12 commit-hook freebsd_committer 2018-10-23 11:49:18 UTC
A commit references this bug:

Author: jbeich
Date: Tue Oct 23 11:48:54 UTC 2018
New revision: 482832
URL: https://svnweb.freebsd.org/changeset/ports/482832

Log:
  devel/icu: restore SF mirror after r482830

  Directory timestamp says it was modified on 2018-10-17 i.e.,
  2 days after 63.1 release.

  PR:		232300

Changes:
  head/devel/icu/Makefile